librevenge::RVNGPropertyList::Iter Class Reference documentation

librevenge::RVNGPropertyList::Iter Class Reference

`#include <RVNGPropertyList.h>`

## Public Member Functions
| Iter (const RVNGPropertyList &propList)
virtual | ~Iter ()
void | rewind ()
bool | next ()
bool | last ()
const RVNGProperty * | operator() () const
const char * | key () const
const RVNGPropertyListVector * | child () const

## Private Member Functions
| Iter (const Iter &)
Iter & | operator= (const Iter &)

## Private Attributes
RVNGPropertyListIterImpl * | m_iterImpl

## Constructor & Destructor Documentation

## ◆ Iter() [1/2]

librevenge::RVNGPropertyList::Iter::Iter | ( | const RVNGPropertyList & | propList | ) |

Referenced by Iter(), and operator=().

## ◆ ~Iter()

librevenge::RVNGPropertyList::Iter::~Iter | ( |  | ) |
| virtual

## ◆ Iter() [2/2]

librevenge::RVNGPropertyList::Iter::Iter | ( | const Iter & |  | ) |
| private

## Member Function Documentation

## ◆ child()

const RVNGPropertyListVector * librevenge::RVNGPropertyList::Iter::child | ( |  | ) | const

Referenced by librevenge::RVNGPropertyList::getPropString().

## ◆ key()

const char * librevenge::RVNGPropertyList::Iter::key | ( |  | ) | const

Referenced by librevenge::RVNGPropertyList::getPropString(), librevenge::RVNGTextSpreadsheetGenerator::setDocumentMetaData(), and librevenge::RVNGTextTextGenerator::setDocumentMetaData().

## ◆ last()

bool librevenge::RVNGPropertyList::Iter::last | ( |  | ) |

Referenced by librevenge::RVNGPropertyList::getPropString().

## ◆ next()

bool librevenge::RVNGPropertyList::Iter::next | ( |  | ) |

Referenced by librevenge::RVNGPropertyList::getPropString(), librevenge::RVNGTextSpreadsheetGenerator::setDocumentMetaData(), and librevenge::RVNGTextTextGenerator::setDocumentMetaData().

## ◆ operator()()

const RVNGProperty * librevenge::RVNGPropertyList::Iter::operator() | ( |  | ) | const

## ◆ operator=()

Iter & librevenge::RVNGPropertyList::Iter::operator= | ( | const Iter & |  | ) |
| private

## ◆ rewind()

void librevenge::RVNGPropertyList::Iter::rewind | ( |  | ) |

Referenced by librevenge::RVNGTextSpreadsheetGenerator::setDocumentMetaData(), and librevenge::RVNGTextTextGenerator::setDocumentMetaData().

## Member Data Documentation

## ◆ m_iterImpl

RVNGPropertyListIterImpl* librevenge::RVNGPropertyList::Iter::m_iterImpl
| private

Referenced by child(), Iter(), key(), last(), next(), operator()(), rewind(), and ~Iter().

The documentation for this class was generated from the following files:

- RVNGPropertyList.h
- RVNGPropertyList.cpp